package cn.org.bjca.trust.java.imserver;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class RabbitMqApiUtil {
    /*** 获取RabbitMq概况* @return*/
    public static String getRabbitMqOverView(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/overview", rabbitMqUrl);
        String result = new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
        return result;
    }

    /*** 获取RabbitMq vhosts* @return*/
    public static String getRabbitMqVhosts(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/vhosts", rabbitMqUrl);
        return new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
    }

    /*** 获取RabbitMq channels* @return*/
    public static String getRabbitMqChannels(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/channels", rabbitMqUrl);
        String result = new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
        return result;
    }

    /*** 获取RabbitMq nodes* @return*/
    public static String getRabbitMqNodes(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/nodes", rabbitMqUrl);
        return new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
    }

    /*** 获取RabbitMq exchanges* @return*/
    public static String getRabbitMqExchanges(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/exchanges", rabbitMqUrl);
        String result = new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
        return result;
    }

    /*** 获取RabbitMq queues* @param rabbitMqUrl* @param userName* @param password* @return*/
    public static String getRabbitMqQueues(String rabbitMqUrl, String userName, String password) {
        String url = String.format("%s/api/queues", rabbitMqUrl);
        String result = new CurlUtil.Builder(url, userName, password).addHeader("Content-Type", "application/json; charset=utf-8").get().build();
        return result;
    }
}
